<?php

use App\Http\Middleware\EnsureUserCanAccessOperations;
use App\Http\Middleware\EnsureUserIsAdministrator;
use App\Http\Middleware\EnsureUserIsNoc;
use App\Http\Middleware\EnsureUserIsTechnician;
use Illuminate\Foundation\Application;
use Illuminate\Foundation\Configuration\Exceptions;
use Illuminate\Foundation\Configuration\Middleware;

return Application::configure(basePath: dirname(__DIR__))
    ->withRouting(
        web: __DIR__.'/../routes/web.php',
        commands: __DIR__.'/../routes/console.php',
        health: '/up',
    )
    ->withMiddleware(function (Middleware $middleware): void {
        $middleware->alias([
            'admin' => EnsureUserIsAdministrator::class,
            'operations' => EnsureUserCanAccessOperations::class,
            'technician' => EnsureUserIsTechnician::class,
            'noc' => EnsureUserIsNoc::class,
        ]);
    })
    ->withExceptions(function (Exceptions $exceptions): void {
        //
    })->create();
